<?php
/**
 * ARAMBA. Version 1.0.0
 * @package Joomla.JoomShopping
 * @author Anton Okhrimenko
 * @website http://www.aramba.ru
 * @email mail@aramba.ru
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
defined("_JEXEC") or die("Restricted access");

class JFormFieldArambaRu extends JFormField {

	protected $form;
	protected $params;
	
	public function __construct($name, $params = array(), $data = '') {
		if (!$data) {
			$data = dirname(__FILE__).'/form.xml';
		}
		$this->params = $params;
		$this->form = JForm::getInstance($name, $data);
	}

	protected function getInput() {
	}
	
	public function getInputByName($name) {
		return $this->form->getInput('params['.$name.']', null, $this->params->$name);
	}
	
	public function getLabelByName($name) {
		return $this->form->getLabel('params['.$name.']');
	}

}

function getBalance() {
	JFactory::getLanguage()->load('aramba_ru', JPATH_SITE.'/components/com_jshopping/addons/aramba_ru');
    	
    // Get plugin params
    $tableAddon = JTable::getInstance("Addon", "JShop");
    $tableAddon->loadAlias("aramba_ru");
    $params = $tableAddon->getParams();
    	
    $ch = curl_init('https://api.aramba.ru/balance');
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array(  
			'Accept: application/json',  
			'Content-Type: application/json',  
			'Authorization: ApiKey ' . $params['aramba_api_key']));
    $JSON_response = curl_exec($ch);
	$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);
			
    return ($http_code == 200) ? $JSON_response : JText::_('ARAMBA_RU_BALANCE_NONE');
}

$this->params = (object)$this->params;
JFactory::getLanguage()->load("aramba_ru", dirname(__FILE__), '', true);

$document = JFactory::getDocument();
$form = new JFormFieldArambaRu('aramba_ru', $this->params);
//var_dump($params['limit']);
if($params['balance'] !== FALSE && $params['limit'] !== FALSE){?>
<div class="row-fluid">
	<div class="span12">
		<p class="pull-right user-data">
			<span class="balance"><?php echo JText::_('ARAMBA_RU_USERPANEL_BALANCE') . getBalance();?></span>
		</p>
	</div>
</div>
<?php }
$this->bootstrap = version_compare(JVERSION,'3.0.0','>=');
if ($this->bootstrap) {
	jimport('joomla.html.html.bootstrap');
	JHtml::_('bootstrap.tooltip');
} else {
    $document->addScript('/components/com_jshopping/addons/aramba_ru/assets/js/jquery-2.1.1.min.js');
    $document->addStyleSheet('/components/com_jshopping/addons/aramba_ru/assets/css/aramba.ru.css');
	jimport('joomla.html.html.tabs');
	JHTML::_('behavior.tooltip');
}

if ($this->bootstrap) {
?>
<ul class="nav nav-tabs" id="tabsArambaRuSettings">
  <li class="active"><a data-toggle="tab" href="#tab1"><?php echo JText::_('ARAMBA_RU_SETTINGS_GENERAL') ?></a></li>
  <li><a data-toggle="tab" href="#tab2"><?php echo JText::_('ARAMBA_RU_SETTINGS_MESSAGE') ?></a></li>
  <li><a data-toggle="tab" href="#tab3"><?php echo JText::_('ARAMBA_RU_SETTINGS_NEWMESSAGE') ?></a></li>
  <li><a data-toggle="tab" href="#tab4"><?php echo JText::_('ARAMBA_RU_SETTINGS_STATUS') ?></a></li>
</ul>
<?php
	echo JHtml::_('bootstrap.startPane', 'tabsArambaRuSettings', array('active' => 'tab1'));
	echo JHtml::_('bootstrap.addPanel', 'tabsArambaRuSettings', 'tab1');
} else {
	echo JHtml::_('tabs.start', 'tabsArambaRuSettings', array('active' => 'tab1'));
	echo JHtml::_('tabs.panel', JText::_('ARAMBA_RU_SETTINGS_GENERAL'), 'tab1');
}
$login_show = ($this->params->hardauth_enabled == 1) ? false : true;

?>
<div class="row-fluid">
	<div class="span9">
		<div class="control-group">
			<div class="control-label">
				<?php echo $form->getLabelByName("aramba_addon_enable");?>
			</div>
			<div class="controls">
				<?php echo $form->getInputByName("aramba_addon_enable");?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $form->getLabelByName("aramba_api_key");?>
			</div>
			<div class="controls">
				<?php echo $form->getInputByName("aramba_api_key");?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $form->getLabelByName("aramba_senders");?>
			</div>
			<div class="controls">
				<?php echo $form->getInputByName("aramba_senders");?>
			</div>
		</div>
	</div>
</div>
<?php
if ($this->bootstrap) {
	echo JHtml::_('bootstrap.endPanel');
	echo JHtml::_('bootstrap.addPanel', 'tabsArambaRuSettings', 'tab2');
} else {
	echo JHtml::_('tabs.panel', JText::_('ARAMBA_SETTINGS_MESSAGE'), 'tab2');
}

include dirname(__FILE__).'/config_sms_to_admin.php';

if ($this->bootstrap) {
	echo JHtml::_('bootstrap.endPanel');
	echo JHtml::_('bootstrap.addPanel', 'tabsArambaRuSettings', 'tab3');
} else {
	echo JHtml::_('tabs.panel', JText::_('ARAMBA_RU_SETTINGS_NEWMESSAGE'), 'tab3');
}

include dirname(__FILE__).'/config_new_order.php';

/** Status changed tab */
if ($this->bootstrap) {
	echo JHtml::_('bootstrap.endPanel');
	echo JHtml::_('bootstrap.addPanel', 'tabsArambaRuSettings', 'tab4');
} else {
	echo JHtml::_('tabs.panel', JText::_('ARAMBA_RU_SETTINGS_STATUS'), 'tab4');
}

include dirname(__FILE__).'/config_change_status.php';
/** End status tab */

/** End tabs */
if ($this->bootstrap) {
	echo JHtml::_('bootstrap.endPanel');
	echo JHtml::_('bootstrap.endPane', 'tabsArambaRuSettings');
} else {
	echo JHtml::_('tabs.end');
}
?>