<?php
/**
 * ARAMBA. Version 1.0.0
 * @package Joomla.JoomShopping
 * @author Anton Okhrimenko
 * @website http://www.aramba.ru
 * @email mail@aramba.ru
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
 
jimport('joomla.form.formfield');
 
class JFormFieldSenders extends JFormField {
 
    protected $type = 'Senders';
    
    public function getInput() {
    	
    	$options = array();
    	JFactory::getLanguage()->load('aramba_ru', JPATH_SITE.'/components/com_jshopping/addons/aramba_ru');
    	$options[] = JHtml::_('select.option', 0, JText::_('ARAMBA_RU_SENDERS_NONE'));
    	
    	// Get plugin params
    	$tableAddon = JTable::getInstance("Addon", "JShop");
    	$tableAddon->loadAlias("aramba_ru");
    	$params = $tableAddon->getParams();
    	
    	$ch = curl_init('https://api.aramba.ru/smsSenderIds');
    	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
		curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(  
			'Accept: application/json',  
			'Content-Type: application/json',  
			'Authorization: ApiKey ' . $params['aramba_api_key']));
    	$JSON_response = curl_exec($ch);
		$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    	curl_close($ch);
			
    	if ($http_code == 200) {
			$response = (array)json_decode($JSON_response);
    		for ($i = 0; $i < count($response['items']); $i++) {
    			$options[] = JHtml::_('select.option', $response['items'][$i], $response['items'][$i]);
    		}
    	}
        $html[] = JHtml::_('select.genericlist', $options, $this->name, '', 'value', 'text', $this->value, $this->id);
        
        return implode($html);
    }
}